ToolzerHub Docs

List app reviews (v1)

Returns one page of up to count (max 150) public reviews for package_id_or_url, in the selected sort order and locale. Pass next_token as token for the next page.

1 credit / requestBilled only on success
GET
/v1/google-play/reviews

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

package_id_or_url*string

Android application id, such as com.spotify.music, or the app's Play Store link.

Lengthlength <= 1000
count?|

Reviews per request, 1-150 (Google Play's page size). Default 100. Use token for more.

Range1 <= value <= 150
token?string

next_token from the previous response; omit for the first page.

Lengthlength <= 4096
sort?string

Review ordering to request.

Default"newest"

Value in

  • "newest"
  • "helpful"
  • "rating"
language?string

Locale used for Play Store text, such as en_US.

Match^[A-Za-z]{2,3}(?:[-_][A-Za-z]{2})?$
Default"en_US"
country?string

Two-letter country code used for Play Store availability.

Match^[A-Za-z]{2}$
Default"US"
curl -X GET "https://example.com/v1/google-play/reviews?package_id_or_url=https%3A%2F%2Fplay.google.com%2Fstore%2Fapps%2Fdetails%3Fid%3Dcom.spotify.music" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "package_id": "string",    "sort": "newest",    "reviews": [      {        "review_id": "string",        "author": "string",        "avatar_url": "string",        "score": 0,        "text": "string",        "timestamp": 0,        "helpful_count": 0,        "developer_reply": {          "author": "string",          "text": "string",          "timestamp": 0        },        "app_version": "string"      }    ],    "next_token": "string"  },  "details": {    "reason": "no_results",    "message": "string"  }}